import math;
import hyperbolic_geometry;

size(500,500);
settings.outformat="pdf";

// What do we want to test?
// Some random polygons in the hyperbolic plane.

hyperbolic_point[] P;
P[0] = hyperbolic_point(1, 0);
P[1] = hyperbolic_point(1, 60);
P[2] = hyperbolic_point(1, 120);
P[3] = hyperbolic_point(1, 180);
P[4] = hyperbolic_point(1, 240);
P[5] = hyperbolic_point(1, 300);
hyperbolic_polygon pgon = hyperbolic_polygon(P);
fill(pgon, blue+opacity(0.5));
draw(pgon);
dot(pgon);


hyperbolic_point[] P;
P[0] = hyperbolic_point(0.5, 315);
P[1] = hyperbolic_point(1, 45);
P[2] = hyperbolic_point(1.5, 135);
P[3] = hyperbolic_point(1.5, 225);
hyperbolic_polygon pgon = hyperbolic_polygon(P);
fill(pgon, red+opacity(0.5));
draw(pgon);
dot(pgon);


hyperbolic_point[] P;
P[0] = hyperbolic_point(0.25, 0);
P[1] = hyperbolic_point(0.6, 40);
P[2] = hyperbolic_point(1.125, 100);
P[3] = hyperbolic_point(0.35, 45);
P[4] = hyperbolic_point(0.05, 140);
P[5] = hyperbolic_point(0.5, 300);
hyperbolic_polygon pgon = hyperbolic_polygon(P);
fill(pgon, yellow+opacity(0.5));
draw(pgon);
dot(pgon);


hyperbolic_point[] P;
P[0] = hyperbolic_point(1.05, 150);
P[1] = hyperbolic_point(1.15, 170);
P[2] = hyperbolic_point(1.25, 180);
P[3] = hyperbolic_point(1.05, 170);
P[4] = hyperbolic_point(1.1, 160);
hyperbolic_polygon pgon = hyperbolic_polygon(P);
fill(pgon, green+opacity(0.5));
draw(pgon);
dot(pgon);


hyperbolic_point[] P;
P[0] = hyperbolic_point(1.1, 200);
P[1] = hyperbolic_point(1.1, 210);
P[2] = hyperbolic_point(1.1, 220);
P[3] = hyperbolic_point(1.1, 230);
P[4] = hyperbolic_point(1.1, 240);
P[5] = hyperbolic_point(1.1, 250);
P[6] = hyperbolic_point(1.1, 260);
P[7] = hyperbolic_point(1.1, 270);
P[8] = hyperbolic_point(1.1, 280);
P[9] = hyperbolic_point(1.1, 290);
P[10] = hyperbolic_point(1.1, 300);
hyperbolic_polygon pgon = hyperbolic_polygon(P);
fill(pgon, orange+opacity(0.5));
draw(pgon);
dot(pgon);

draw((1,1)--(1,-1)--(-1,-1)--(-1,1));
draw(unitcircle);
